Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

Update a service routines.

Request

Security
Bearer
Body
idinteger(int32)

The database id for the service routine

namestring or null

The name for the service routine

isRecommendedboolean

Whether or not the service routine is currently recommended

lastRunstring or null(date-time)

The date the service routine was last run

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/verification/service-routines' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "id": 0,
    "name": "string",
    "isRecommended": true,
    "lastRun": "2019-08-24T14:15:22Z"
  }'

Responses

Service routine was updated

Response
No content

Retrieves specified service routine

Request

Security
Bearer
Path
idinteger(int32)required
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/verification/service-routines/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Serviceroutine

Bodyapplication/json
idinteger(int32)

The database id for the service routine

namestring or null

The name for the service routine

isRecommendedboolean

Whether or not the service routine is currently recommended

lastRunstring or null(date-time)

The date the service routine was last run

Response
application/json
{ "id": 0, "name": "string", "isRecommended": true, "lastRun": "2019-08-24T14:15:22Z" }

Update a service routines in the current workflow

Request

Security
Bearer
Path
indexinteger(int32)required
Body
idinteger(int32)

The database id for the verification run

routineIdinteger(int32)

The database id for the routine

routineNamestring or null

The name of the routine

resultinteger(int32)(VerificationRunResult)
Enum"NotStarted""Pass""Fail""Canceled"
isServiceRoutineboolean

If the routine is a service Routine

dependencyCheckFailedboolean
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/verification/workflow/service-routine-run/{index}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "id": 0,
    "routineId": 0,
    "routineName": "string",
    "result": "NotStarted",
    "isServiceRoutine": true,
    "dependencyCheckFailed": true
  }'

Responses

Service routine run was updated

Response
No content

VerificationResult

Operations